#include <iostream>
#include <bits/stdc++.h>
#define s second
#define f first
using namespace std;
const int mod=1e9+7;
const int maxN=2e5+3;
pair<double,double> fl[maxN];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    //ifstream cin("C:/Users/zoran/Desktop/drvo.txt");
    cout.precision(5);
    cout<<fixed;
    int n;
    cin>>n;
    for(int i=1;i<=n;i++)
    {
        cin>>fl[i].s>>fl[i].f;
    }
    sort(fl+1,fl+n+1);
    double sum=0;
    double ans=0;
    for(int i=n;i>=1;i--)
    {
        sum+=fl[i].s;
        ans=max(ans,(sum*fl[i].f)/100);
    }
    cout<<ans;
    return 0;
}